edu.isi.pegasus.planner.code.generator

## Class SendMetrics

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.SendMetrics

All Implemented Interfaces:
  java.util.concurrent.Callable

    class SendMetrics
    extends java.lang.Object
    implements java.util.concurrent.Callable

A Send metrics class that is used to send metrics to the metrics server using HTTP POST methods

Author:
  vahi

### Field Summary

Fields
`private PlannerMetrics` `mMetrics`
`private java.lang.String` `mURL`

### Constructor Summary

Constructors
Constructor and Description
`SendMetrics(PlannerMetrics metrics, java.lang.String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SendMetricsResult` `call()`
`private SendMetricsResult` `send(PlannerMetrics metrics, java.lang.String url)` Sends the planner metrics to the metrics server

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mMetrics

    private PlannerMetrics mMetrics

#### mURL

    private java.lang.String mURL

### Constructor Detail

#### SendMetrics

    public SendMetrics(PlannerMetrics metrics,
                       java.lang.String url)

### Method Detail

#### call

    public SendMetricsResult call()
                           throws java.io.IOException

Specified by:
  `call` in interface `java.util.concurrent.Callable`
Throws:
  `java.io.IOException`

#### send

    private SendMetricsResult send(PlannerMetrics metrics,
                                   java.lang.String url)
                            throws java.io.IOException

Sends the planner metrics to the metrics server

Parameters:
  `metrics` - the metrics to log
  `url` - the url to send the metrics to
Throws:
  `java.io.IOException`